#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: kan-extensions
version: 5.1
id: kan-extensions-5.1-94TQEv174ZJBRvMy7Sn7EP
key: kan-extensions-5.1-94TQEv174ZJBRvMy7Sn7EP
license: BSD3
copyright: Copyright (C) 2008-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/kan-extensions/
synopsis: Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads
description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.
category: Data Structures, Monads, Comonads, Functors
author: Edward A. Kmett
exposed: True
indefinite: False
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda
abi: 239cfd5c0540ab353a3705b7910fcafb
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/kan-extensions-5.1
library-dirs: /usr/lib/ghc-8.2.2/site-local/kan-extensions-5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/kan-extensions-5.1
hs-libraries: HSkan-extensions-5.1-94TQEv174ZJBRvMy7Sn7EP
includes:
    kan-extensions-common.h
depends:
    adjunctions-4.4-CFqIOlWalghAEPDtVAzskC array-0.5.2.0 base-4.10.1.0
    comonad-5.0.3-Ck9dBYAfHyFIc1BaCiNPqm containers-0.5.10.2
    contravariant-1.4.1-CaIS0FAz3wNFYESTGhl5v6
    distributive-0.5.3-3QQWO3yfOScASLf5zUz2JE
    free-4.12.4-LpbNmwJlTVj4rkxMbYx9bR mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    profunctors-5.2.2-FBgcRiRumypCfgxcJTOaVo
    semigroupoids-5.2.2-FIKI4eo8Lo755XP0In7exf
    tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2 transformers-0.5.2.0
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
abi-depends: adjunctions-4.4-CFqIOlWalghAEPDtVAzskC=ec0b1d68a961d553d93c751a567abaa3
             array-0.5.2.0=26dc06837667b4f45ea7fe07c114ff89
             base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             comonad-5.0.3-Ck9dBYAfHyFIc1BaCiNPqm=426e1dc997f8f444ea52c0f3d65d2bf5
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
             contravariant-1.4.1-CaIS0FAz3wNFYESTGhl5v6=d4f2c208c4af37a492a9cf69136256d2
             distributive-0.5.3-3QQWO3yfOScASLf5zUz2JE=9f8452151d097c3dbc68cb5512a37843
             free-4.12.4-LpbNmwJlTVj4rkxMbYx9bR=dc8432e741f997aaf271dd415067ff02
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             profunctors-5.2.2-FBgcRiRumypCfgxcJTOaVo=5d6f7a79b1bbf5b98ef5df4c0c7eb54d
             semigroupoids-5.2.2-FIKI4eo8Lo755XP0In7exf=118673e9216db664cff8974364f6a00e
             tagged-0.8.5-BP06XmR1GLaIsvsOKwGst2=4764468d99de060aada7572c7b2f4378
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=94a5340d64a5db3506fe5654c7b40389
haddock-interfaces: /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock
haddock-html: /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

